#ifndef SELECT_SPHERE_H
#define SELECT_SPHERE_H

#include <GL/glut.h>
#include<vector>
#include"model.h"
#include"key_set.h"


class select_sphere{
	public:
	select_sphere (model * mod, key_set * keys);
	void draw_spheres(int mode, key_set * g, key_set & a);
	private:
	model * m;  //model these spheres are representing
	key_set * k; //key_set object corresponding to these select spheres
	std::vector <bone *> spheres; //array telling what bones a sphere is connected to
	
};

#endif
