#include"select_sphere.h"
#include <vector>
#include <GL/glut.h>

using namespace std;

select_sphere::select_sphere (model * mod, key_set * keys):m(mod), k(keys), spheres(mod->points.size(), 0) {
}

void select_sphere::draw_spheres(int mode, key_set * g, key_set & a){
	glDisable(GL_LIGHTING);
	for(unsigned i=0;i< m->points.size();i++){
		
		bool cur_point = false;

		for(unsigned a = 0; a < g->cur->points.size(); a++){
			if(&m->points[i] == g->cur->points[a]){
				cur_point = true;
				break;
			}
		} 

		if(mode == GL_SELECT)
			glLoadName(i);

		if(cur_point)
			glColor3f(1.0,0.0,0.0);
		else
			glColor3f(1.0,1.0,1.0);
		glPushMatrix();
			glTranslatef(m->points[i].x,m->points[i].y,m->points[i].z);
			glutSolidSphere(0.04, 5, 5);
		glPopMatrix(); 
		glColor3f(1.0,1.0,1.0);
	}
	glEnable(GL_LIGHTING);
}

